summaryrefslogtreecommitdiff
path: root/.fmail
diff options
context:
space:
mode:
authorSean Whitton <spwhitton@spwhitton.name>2017-08-16 17:59:15 -0700
committerSean Whitton <spwhitton@spwhitton.name>2017-08-16 17:59:15 -0700
commit1830a0923a5b772e69a609a3213e0089403e2985 (patch)
treef11477e3c41e107f6826bb92071e1d44e1977f32 /.fmail
parentb930ffd00ee65d19512176b6bf32ba3c6b628c39 (diff)
downloaddotfiles-1830a0923a5b772e69a609a3213e0089403e2985.tar.gz
move expand-annex-mboxes to post-new
Otherwise the `notmuch new` run is likely to produce errors as files move around underneath it.
Diffstat (limited to '.fmail')
-rwxr-xr-x.fmail/.notmuch/hooks/post-new4
-rwxr-xr-x.fmail/.notmuch/hooks/pre-new2
2 files changed, 4 insertions, 2 deletions
diff --git a/.fmail/.notmuch/hooks/post-new b/.fmail/.notmuch/hooks/post-new
index 0c6f79e9..91168aa7 100755
--- a/.fmail/.notmuch/hooks/post-new
+++ b/.fmail/.notmuch/hooks/post-new
@@ -19,3 +19,7 @@ killed_threads=$(notmuch search --output=threads tag:killed)
if [ ! -z "$killed_threads" ]; then
notmuch tag -unread -- $killed_threads
fi
+
+# start a background process to expand-annex-mboxes; mail in these
+# will be processed on the next `notmuch new` run
+( expand-annex-mboxes >/dev/null 2>&1 || exit 0 ) &
diff --git a/.fmail/.notmuch/hooks/pre-new b/.fmail/.notmuch/hooks/pre-new
index 5e77289b..8f94205e 100755
--- a/.fmail/.notmuch/hooks/pre-new
+++ b/.fmail/.notmuch/hooks/pre-new
@@ -18,5 +18,3 @@
# add tags to new messages in particular folders
movemail
-
-( expand-annex-mboxes >/dev/null 2>&1 || exit 0 ) &